public int eseguiComputazione(int[] input)
{
	int PC = 1; /* Contatore di programma */
	int R[] = new int[100]; /* Registri */
	boolean in_esecuzione = true;
	
	/* Tutti i registri non ricevuti in input vengono azzerati */
	for (int i = 0; i < R.length; i++)
		R[i] = (i < input.length) ? input[i] : 0;
	
	/* Questo ciclo serve a simulare l'istruzione goto, non presente in Java */
	while (in_esecuzione)
	{
		/* PC corrisponde alla riga del codice sorgente */
		switch (PC)
		{
			case 1: /* J(1,1,1) */
				PC = 1; /* salto incondizionato */
				break;
			default:
				in_esecuzione = false; /* Termina la computazione */
				break;
		}
	}
	
	return R[0]; /* Restituisce il valore del primo registro */
}
